Accueil > Vie de la Coopérative > Spip et PHP 5.4

Spip et PHP 5.4

Brève publiée le jeudi 24 mai 2012

Sur node1-6 la version de PHP est désormais la 5.4 suite à une mise à jour début 2013.

Petit problème : les sites Spip dont les articles sont encore en iso-8859-1 connaissent un petit problème avec cette version 5.4 : l’affichage des articles du site public se fait correctement, mais, quand on veut modifier un article publié antérieurement, le clic sur "Modifier cet article" n’affiche qu’un cadre blanc.

Si vous subissez ce problème, sachez qu’il faut convertir les tables de votre base de données en utf-8.

Dit comme ça c’est simple ;-) mais en fait ça peut être un peu complexe. Si vous le souhaitez, vous pouvez contacter l’assistance (lien "Assistance" dans OuvAdmin) et on pourra vous donner un coup de main.